
import { NextResponse } from "next/server";

import { getAchatById } from "@/methods/achatMethods";

/**
 * @swagger
 * /api/achats/{id}:
 *   get:
 *     tags : 
 *      - achats
 *     summary: Filtre les achats avec l'identifiant de l'utilisateur
 *     description: Filtre sur l'identifiant de l'utilisateur
 *     parameters:
 *       - in: path
 *         name: id
 *         required: true
 *         schema:
 *           type: string
 *         description: ID de l'utilisateur
 *     responses:
 *       200:
 *         description: Retourn les achats de l'utilisateur
 */

export async function GET(
    request: Request,
    context: { params: { id: string } }
  ) {
    const { id } = context.params
  
    const result = await getAchatById(id)
    return NextResponse.json(result, { status: 200 })
  }