import { NextResponse } from 'next/server'
import { createVideo, getAllVideo} from '@/methods/videoMethods'


 /**
 * @swagger
 * /api/videos:
 *   post:
 *     tags:
 *       - videos
 *     summary: Crée une videos
 *     requestBody:
 *       required: true
 *       content:
 *         application/json:
 *           schema:
 *             type: object
 *             properties:
 *               idForm:
 *                 type: interger
 *               titre:
 *                 type: string
 *               description : 
 *                 type : string
 *             required:
 *               - titre
 *               - idForm
 *               - prix
 *     responses:
 *       201:
 *         description: formation créé
 */
export async function POST(request: Request) {
    const body = await request.json()
    const{idForm,titre,description} = body

    const result = await createVideo(idForm,titre,description)   
    return NextResponse.json(result, { status: 201 })
}


/**
 * @swagger
 * /api/videos:
 *   get:
 *     tags : 
 *      - videos
 *     summary: Lister les videos
 *     description: Retourne l'ensemble des videos
 *     responses:
 *       200:
 *         description: liste des videos
 */

export async function GET(){
    const result = await getAllVideo()
    return NextResponse.json(result,{status : 200})
}

